/* regole generali */
html {
    box-sizing: border-box;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
  }
  *, *::before, *::after {
    box-sizing: inherit;
  }
  strong, b {
    font-weight: 700;
  }
  body {
    color: rgba(0, 0, 0, 0.87);
    margin: 0;
    font-size: 15px;
    font-family: Poppins,-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    font-weight: 400;
    line-height: 1.43;
    background-color: #ffffff;
  }
  @media print {
    body {
      background-color: #fff;
    }
  }
  body::backdrop {
    background-color: #f5eded;
  }
  

:root{
    --main-color: #28484e;
    --sec-color: #712628;
    --accent-color: #E7DFDC;
    --base-color: #f3f3f3; 

}

.tc-main {
    color: var(--main-color)
}
.tc-sec {
    color: var(--sec-color)
}

.tc-base {
    color: var(--base-color)
}


.tc-accent {
    color: var(--accent-color)
}



.bg-main {
    background-color: var(--main-color)
}

.bg-sec {
    background-color: var(--sec-color)
}

.bg-base {
    background-color: var(--base-color)
}

.bg-accent {
    background-color: var(--accent-color)
}

/* bottoni */

a {
    color: var(--main-color);
    text-decoration: none;
    font-size: 20px;
}
a:hover {
    color: var(--sec-color);
}
.btn-custom1 {
    color: var(--base-color);
    padding: 18px;
    background-color: var(--sec-color);
    border-color: var(--accent-color);
    font-weight: 650;
    text-decoration: none;
    
}
.btn-custom1:hover {
    color: var(--base-color);
    background-color: var(--main-color) ;
    border: 2px solid var(--accent-color) ;
    font-weight: 700;
    text-decoration: none;
}
.btn-custom2 {
    color: var(--main-color);
    background-color: transparent ;
    border-color: var(--accent-color) !important;
    font-weight: 650;
    text-decoration: none;
    
}
.btn-custom2:hover {
    color: var(--accent-color);
    background-color: var(--main-color);
    border: 2px solid var(--main-color) !important;
    text-decoration: none;
}

.btn-check:focus + .btn, .btn:focus {
   
    box-shadow: none !important;
}


/* navbar */


.MyTypo {
    font-size: 30px;
    font-family: Kanit,-apple-system, BlinkMacSystemFont,"Segoe UI", Roboto, "Helvetica Neue",Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
    font-weight: 900;
    line-height: 1.167;
}



.navbar-active {
  background-color: white;
  border-radius: 15px;
}





/* HOME */





.masthead {
    height: 100vh;
 
    background-image: url('/img/look-up-dec.png');
    background-size: contain;
    background-attachment: fixed;
    background-position:bottom;
    background-repeat: no-repeat;
    
}
.masthead2 {
    height: 100vh;
  
    background-image: url('/img/look-up-dec2.png');
    background-size: contain;
    background-attachment: fixed;
    background-position:bottom;
    background-repeat: no-repeat;
}
.btn-arrow {
  background-color: transparent;
  color: var(--main-color)!important;
  font-size: 55px;
  transform: rotate(135deg);
  position: absolute;
  z-index: 1000;
  left: 50;
  border: none;
  display: flex;
  position: relative;
  /* vertical-align: middle; */
  justify-content: center;
  align-items: center;
  margin-top: 50px;
  animation-name: arrow-wgg;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
}

@keyframes arrow-wgg {
  0% {left:0px; top:-35px}
  25% {left:0px; top:-60px}
  50% {left:0px; top:-45px}
  75% {left:0px; top:-60px}
 
  100% {left:0px; top:-35px}
}


h2 span {
    position: relative;
    transform: rotate(20deg);
    left: 0;
    top: 0;
    transform-origin: bottom center;
    
}





/* proj */





.case-study {
    position: relative;
    display: block;
    width: 90%;
    height: 300px;
    margin: 0 auto 2rem;
    background-size: cover;
    border-radius: 10px;
    /* box-shadow: 0px 25px 50px rgba(0, 0, 0, 0.05); */
    overflow: hidden;
    transition: all .6s ease;
    padding-left: 0;
    padding-right: 0;
    background-color: transparent;
  }
  @media screen and (min-width: 37.5em) {
    .case-study {
      height: 300px;
    }
  }
  @media screen and (min-width: 45em) {
    .case-study {
      display: inline-block;
      /* width: 45%; */
      margin-left: 25px;
    }
  }
  
  /* .case-study__img {
    width: 90%;
    display: block;
    margin-top: 50%;
    /* transform: translateY(70%); */
    /* margin: 0 auto; */
  /* }  */
  
  .case-study__overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    z-index: 10;
    border: solid 1px grey;
    border-radius: 10px;
  }
  .case-study__overlay:after {
    content: '';
    width: 100%;
    border-radius: 10px;
    height: 100%;
    background-color: #202020;
    opacity: 0;
    position: absolute;
    top: 0;
    z-index: -10;
    /* left: 0px; */
    right: 0px;
    transition: all .3s ease;
  }
  
  .case-study__title {
    position: relative;
    top: -200px;
    margin-bottom: 2rem;
    margin-top: 4rem;
    font-size: 2.25rem;
    font-family: 'Oswald';
    font-weight: 100;
    color: white;
    text-align: center;
    letter-spacing: 5px;
    transition: all 0.3s cubic-bezier(0.3, 0, 0, 1.3);
  }
  
  .case-study__link {
    position: relative;
    display: block;
    width: 60%;
    top: 200px;
    padding: 10px;
    margin: 0 auto;
    font-family: 'Oswald';
    color: white;
    letter-spacing: 3px;
    text-decoration: none;
    text-align: center;
    border: 2px solid white;
    border-radius: 3px;
    font-size: 1.25em;
    transition: all 0.3s cubic-bezier(0.3, 0, 0, 1.3);
  }
  .case-study__link:hover {
    background-color: white;
    color: #202020;
  }
  
  .case-study:hover .case-study__title {
    top: 0;
  }
  .case-study:hover .case-study__link {
    top: 0;
  }
  .case-study:hover .case-study__overlay:after {
    opacity: .75;
  }
  
  .study1 {
      /* background-color: var(--main-color); */
      background-image: url("/img/code.png");
      background-position: center;
      background-size: 50%;
      background-repeat: no-repeat;
      background-color: transparent !important;
      /* border: 25px solid transparent; */
  }
  .study2 {
     /* background-color: var(--main-color); */
     background-image: url("/img/cloud.png");
     background-position: center;
     background-size: 50%;
     background-repeat: no-repeat;
     background-color: transparent !important;
     /* border: 25px solid transparent; */
  }
  .study3 {
    background-image: url("/img/team-work.png");
    background-position: center;
    background-size: 50%;
    background-repeat: no-repeat;
    background-color: transparent !important;
  }




/* 
.prisonBox {
      font-size: 30px;
      
  }
.prisonBox::after{
    content:"";
    position: absolute;
    opacity: 60%;
    width: -moz-fit-content;
    width: fit-content;
    bottom: 220px;
    z-index: -1;
    left:90px;
    border-radius: 20px;
    animation-name: char-wgg;
    -ms-animation-name: char-wgg;
    animation-duration: 4000ms;
    -webkit-animation-duration: 4000ms;
    -webkit-animation-iteration-count: 1;
    -ms-animation-iteration-count: 1;
    -webkit-animation-timing-function: ease-in-out;
    -ms-animation-timing-function: ease-in-out;
    animation-iteration-count: infinite;
    animation-timing-function: ease-in-out;
}
@-webkit-keyframes char-wgg {
    0% {-webkit-transform: rotate(0deg);}
    25% {-webkit-transform: rotate(-10deg);}
    50% {-webkit-transform: rotate(20deg);}
    75% {-webkit-transform: rotate(-5deg);}
    100% {-webkit-transform: rotate(0deg);}
  }
  
  @-ms-keyframes char-wgg {
    0% {-ms-transform: rotate(0deg);}
    25% {-ms-transform: rotate(-1deg);}
    50% {-ms-transform: rotate(1.5deg);}
    75% {-ms-transform: rotate(-5deg);}
    100% {-ms-transform: rotate(0deg);}
  }
  
  @keyframes char-wgg {
    0% {transform: rotate(00deg);}
    25% {transform: rotate(-10deg);}
    50% {transform: rotate(20deg);}
    75% {transform: rotate(-5deg);}
    100% {transform: rotate(0deg);}
  } */




  /* portfolio web dev   */

  .back {
      z-index: 1;
  }

  .item {
      border-radius: 10px;
      border: solid 2px var(--sec-color);
      position: relative;
  }
  .item:hover {
    border: solid 3px var(--main-color);
  }
  .item2 {
      border-radius: 10px;
      /* border: solid 2px var(--sec-color); */
  }
 
  .tags {
    display: flex;
    color: var(--base-color);
    opacity: 0;
    position: absolute;
    top: 0px;
    left: 0px;
    text-align: center;
    transition: all 2s cubic-bezier(0.3, 0, 0, 1.3) ;
    
    
  }
  .tags:hover{
    display: flex;
    opacity: 100;
    position: absolute;
    top: 120px;
    left: 0px;
    text-align: center;
    
  }

 .tags__border{
   border: 1px solid var(--base-color);
   background-color: rgba(113, 38, 40, 0.90);
   /* height: 35px; */
   padding-top: 3px;
   padding-bottom: 3px;
   margin-top: 3px;
   border-radius: 10px;
 }
.tags-button__border{
  padding: 10px;
  margin: 0px 20px 20px;
  font-family: 'Oswald';
  color: white;
  letter-spacing: 3px;
  text-decoration: none;
  text-align: center;
  border: 2px solid white;
  border-radius: 3px;
  font-size: 1.25em;
 }
 .tags-button__border:hover {
  background-color: white;
  color: #202020;
}
.tags-button__border2{
  padding: 10px;
  margin: 0px 20px;
  font-family: 'Oswald';
  color: rgb(5, 0, 0);
  letter-spacing: 3px;
  text-decoration: none;
  text-align: center;
  border: 2px solid rgb(0, 0, 0);
  border-radius: 3px;
  font-size: 1.25em;
 }
 .tags-button__border2:hover {
  background-color: rgb(5, 5, 5);
  color: #ffffff;
}